<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>AdminLTE 3 | Blank Page</title>

    <!-- Google Font: Source Sans Pro -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
    />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css" />

    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </head>
  <body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"
              ><i class="fas fa-bars"></i
            ></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Contact</a>
          </li>
        </ul>
      </nav>
      <!-- /.navbar -->

      <!-- Main Sidebar Container -->
      <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="index3.html" class="brand-link">
          <img
            src="dist/img/AdminLTELogo.png"
            alt="AdminLTE Logo"
            class="brand-image img-circle elevation-3"
            style="opacity: 0.8"
          />
          <span class="brand-text font-weight-light">Devcamp 120</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user (optional) -->
          <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
              <img
                src="dist/img/user2-160x160.jpg"
                class="img-circle elevation-2"
                alt="User Image"
              />
            </div>
            <div class="info">
              <a href="#" class="d-block">Đinh Nhật Toàn</a>
            </div>
          </div>

          <!-- SidebarSearch Form -->
          <div class="form-inline">
            <div class="input-group" data-widget="sidebar-search">
              <input
                class="form-control form-control-sidebar"
                type="search"
                placeholder="Search"
                aria-label="Search"
              />
              <div class="input-group-append">
                <button class="btn btn-sidebar">
                  <i class="fas fa-search fa-fw"></i>
                </button>
              </div>
            </div>
          </div>

          <!-- Sidebar Menu -->
          <nav class="mt-2">
            <ul
              class="nav nav-pills nav-sidebar flex-column"
              data-widget="treeview"
              role="menu"
              data-accordion="false"
            >
              <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
              <li class="nav-item menu-open">
                <a href="#" class="nav-link active">
                  <i class="nav-icon fas fa-tachometer-alt"></i>
                  <p>
                    Dashboard
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="voucher.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Voucher</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="user.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Users</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="filterOrder.html" class="nav-link active">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Orders</p>
                    </a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6">
                <h1>List Order</h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="#">Home</a></li>
                  <li class="breadcrumb-item active">Order</li>
                </ol>
              </div>
            </div>
          </div>
          <!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="container">
            <h2 style="text-align: center;">Danh sách đơn hàng</h2>
          
            <div class="row form-group py-3 bg-light rounded">
              <label class="col-sm-2 col-form-label text-center"
                ><b>Trạng thái order</b></label
              >
              <div class="col-sm-3">
                <select id="select-status" class="form-control">
                  <option value="0">--Select Status--</option>
                  <option value="open">Open</option>
                  <option value="confirmed">Confirmed</option>
                  <option value="cancel">Cancel</option>
                </select>
              </div>
              <label class="col-sm-2 col-form-label text-center"
                ><b>Loại pizza</b></label
              >
              <div class="col-sm-3">
                <select id="select-typePizza" class="form-control">
                  <option value="0">--Select pizza--</option>
                  <option value="Hawaii">Hawaii</option>
                  <option value="Bacon">Bacon</option>
                  <option value="Seafood">Seafood</option>
                </select>
              </div>
              <div class="col-sm-2">
                <button id="btn-filter" class="btn btn-info w-100">
                  Filter
                </button>
              </div>
            </div>
          
            <table class="table table-bordered table-striped table-hover" id="order-table">
              <thead>
                <tr>
                  <th>Order code</th>
                  <th>Kích cỡ combo</th>
                  <th>Loại pizza</th>
                  <th>Nước uống</th>
                  <th>Thành tiền</th>
                  <th>Họ và tên</th>
                  <th>Số điện thoại</th>
                  <th>Trạng thái</th>
                  <th>Chi tiết</th>
                </tr>
            </table>
          </div>
          
          <!-- Vùng Modal -->
          
          <!-- Create user modal -->
          <div>
            <div id="create-order-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Order Detail!!!</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-ordercode">Order code</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-ordercode"
                            name="ordercode"
                            placeholder="order code"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="select-create-pizzasize">Pizza Size</label>
                        </div>
                        <div class="col-sm-8">
                          <select id="select-create-typePizza" class="form-control">
                            
                          </select>
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-duongkinh">Đường kính</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-duongkinh"
                            name="duongkinh"
                            placeholder="Đường kính"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-suon">Sườn</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-suon"
                            name="suon"
                            placeholder="Sườn"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-salad"
                            >Salad</label
                          >
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-salad"
                            name="salad"
                            placeholder="Salad"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-pizzatype">Pizza Type</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-pizzatype"
                            name="pizzaType"
                            placeholder="pizzaType"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-idVoucher">ID Voucher</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-idVoucher"
                            name="idVoucher"
                            placeholder="ID Voucher"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-thanhTien">Thành Tiền</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-thanhTien"
                            name="thanhTien"
                            placeholder="Tiền"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-giamGia">Giảm giá</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-giamGia"
                            name="giamGia"
                            placeholder="Giá"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="select-create-loaiDoUong">Loại đồ uống</label>
                        </div>
                        <div class="col-sm-8">
                          <select id="select-create-loaiDoUong" class="form-control">
                            
                          </select>
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-soLuongNuoc">Số lượng nước uống</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-soLuongNuoc"
                            name="soLuongNuoc"
                            placeholder="Số lượng nước uống"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-hoTen">Họ và Tên</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-hoTen"
                            name="hoTen"
                            placeholder="Họ và Tên"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-email">Email</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-email"
                            name="hoTen"
                            placeholder="Email"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-phone">Số điện thoại</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-phone"
                            name="hoTen"
                            placeholder="Số điện thoại"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-diachi">Địa chỉ</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-diachi"
                            name="hoTen"
                            placeholder="Địa chỉ"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-loinhan">Lời nhắn</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-loinhan"
                            name="hoTen"
                            placeholder="Lời nhắn"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-ngayOrder">Ngày order</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-ngayOrder"
                            name="ngayOrder"
                            placeholder="Day order"
                            class="form-control"
                          />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-ngayEdit">Ngày chỉnh sửa</label>
                        </div>
                        <div class="col-sm-8">
                          <input
                            type="text"
                            id="input-create-ngayEdit"
                            name="ngayEdit"
                            placeholder="Day edit"
                            class="form-control"
                          />
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                    <button class="btn btn-warning" id="btn-create-confirm">
                      Confirm
                    </button>
                    <button
                      class="btn btn-danger"
                      id="btn-create-cancel"
                      data-dismiss="modal"
                    >
                      Cancel
                    </button>
                    
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- /.content -->
      </div>
      <!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="float-right d-none d-sm-block"><b>Version</b> 1.0.0</div>
        <strong
          >Copyright &copy; 2023
          <a href="https://adminlte.io">Devcamp 120</a>.</strong
        >
        All rights reserved.
      </footer>
      <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>

    <script>
      "use strict";
      $(document).ready(function () {
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        const gCOLUMN_ORDER_CODE = 0;
        const gCOLUMN_KICH_CO = 1;
        const gCOLUMN_LOAI_PIZZA = 2;
        const gCOLUMN_TYPE_DRINK = 3;
        const gCOLUMN_PRICE = 4;
        const gCOLUMN_FULL_NAME = 5;
        const gCOLUMN_PHONE = 6;
        const gCOLUMN_STATUS = 7;
        const gCOLUMN_DETAIL = 8;

        const gCOL_NAME = [
          "orderCode",
          "kichCo",
          "loaiPizza",
          "idLoaiNuocUong",
          "thanhTien",
          "hoTen",
          "soDienThoai",
          "trangThai",
          "chiTiet",
        ];

        const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";

        var gOrder_list = [];

        //trạng thái order open, confirmed, cancel
        var gStatus = [
          {
            id: "open",
            textStatus: "Open",
          },
          {
            id: "confirmed",
            textStatus: "Confirmed",
          },
          {
            id: "cancel",
            textStatus: "Cancel",
          },
        ];

        //loại pizza hawaii, bacon, seafood
        var gTypePizza = [
          {
            id: "hawaii",
            typePizza: "Hawaii",
          },
          {
            id: "bacon",
            typePizza: "Bacon",
          },
          {
            id: "seafood",
            typePizza: "Seafood",
          },
        ];

        var gId;
        var gOrderCode;
        var gPizzaSize = ["S", "M", "L"];
        // định nghĩa table  - chưa có data
        var gOrderTable = $("#order-table").DataTable({
          // Khai báo các cột của datatable
          columns: [
            { data: gCOL_NAME[gCOLUMN_ORDER_CODE] },
            { data: gCOL_NAME[gCOLUMN_KICH_CO] },
            { data: gCOL_NAME[gCOLUMN_LOAI_PIZZA] },
            { data: gCOL_NAME[gCOLUMN_TYPE_DRINK] },
            { data: gCOL_NAME[gCOLUMN_PRICE] },
            { data: gCOL_NAME[gCOLUMN_FULL_NAME] },
            { data: gCOL_NAME[gCOLUMN_PHONE] },
            { data: gCOL_NAME[gCOLUMN_STATUS] },
            { data: gCOL_NAME[gCOLUMN_DETAIL] },
          ],
          // Ghi đè nội dung của cột action, chuyển thành button chi tiết
          columnDefs: [
            {
              targets: gCOLUMN_DETAIL,
              className: "text-center",
              defaultContent: `<button class="btn btn-link" data-toggle="tooltip" data-placement="bottom" title="Detail" id="btn-detail"><i class="fas fa-info-circle text-info"></i></button>`,
            },
          ],
        });

        /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các paramUsers */
        onPageLoading();

        //hiển thị danh sách đồ uống vào select
        getDrinkListAjaxClick();
        //hiển thị kích cỡ pizza size vào select
        getPizzaSizeList(gPizzaSize);

        // gán click event handler cho button chi tiet
        $("#order-table").on("click", "#btn-detail", function () {
          onButtonDetailClick(this); // this là button được ấn
        });

        $("#btn-filter").on("click", function () {
          onFilterData();
        });

        $("#btn-create-confirm").on("click", function () {
          onConfirmOrderClick();
        });

        $("#btn-create-cancel").on("click", function () {
          onCancelOrderClick();
        });

        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        // infoFunction sẽ là function các nút cùng gọi
        function onButtonDetailClick(paramChiTietButton) {
          //Xác định thẻ tr là cha của nút được chọn
          var vRowSelected = $(paramChiTietButton).parents("tr");
          //Lấy datatable row
          var vDatatableRow = gOrderTable.row(vRowSelected);
          //Lấy data của dòng
          var vOrderData = vDatatableRow.data();
          console.log(vOrderData);
          gId = vOrderData.id;
          gOrderCode = vOrderData.orderCode;
          console.log("Id: " + gId);
          console.log("Ordercode: " + gOrderCode);
          getAjaxDetailOrder(gOrderCode);
          // hiển thị modal trắng lên
          $("#create-order-modal").modal("show");
        }

        //hàm xử lý sự kiện confirm
        function onConfirmOrderClick() {
          console.log(gId);
          var vObjectRequest = {
            trangThai: "confirmed", // 3: trang thai open, confirmed, cancel tùy tình huống
          };
          // B1: Thu thập dữ liệu
          // B2: Validate update
          // B3: Update status to Cancel order
          $.ajax({
            url: gBASE_URL + "/" + gId,
            type: "PUT",
            contentType: "application/json;charset=UTF-8",
            data: JSON.stringify(vObjectRequest),
            success: function (paramRes) {
              // B4: xử lý front-end
              handleUpdateOrderSuccess();
            },
            error: function (paramErr) {
              console.log(paramErr.status);
            },
          });
        }

        //hàm xử lý sự kiện confirm
        function onCancelOrderClick() {
          console.log(gId);
          var vObjectRequest = {
            trangThai: "cancel", // 3: trang thai open, confirmed, cancel tùy tình huống
          };
          // B1: Thu thập dữ liệu
          // B2: Validate update
          // B3: Update status to Cancel order
          $.ajax({
            url: gBASE_URL + "/" + gId,
            type: "PUT",
            contentType: "application/json;charset=UTF-8",
            data: JSON.stringify(vObjectRequest),
            success: function (paramRes) {
              // B4: xử lý front-end
              handleCancelOrderSuccess();
            },
            error: function (paramErr) {
              console.log(paramErr.status);
            },
          });
        }

        // hàm chạy khi trang được load
        function onPageLoading() {
          getDataFromApi();
          // loadStatusDataToSelect();
          // loadTypePizzaDataToSelect();

          $('[data-toggle="tooltip"]').tooltip();
        }

        //hàm lọc dữ liệu
        function onFilterData() {
          //khai báo đối tượng
          var vFilterObj = {
            trangThai: "",
            loaiPizza: "",
          };
          //thu thập dữ liệu
          getDataFromFilter(vFilterObj);
          var vOrderFilter = filterData(vFilterObj);
          loadDataToTable(vOrderFilter);
        }

        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
        //hàm get id of order
        function getIdOrderList() {}
        //get data from api
        function getDataFromApi() {
          $.ajax({
            url: gBASE_URL,
            type: "GET",
            dataType: "json",
            success: function (responseObject) {
              //debugger;
              gOrder_list = responseObject;
              loadDataToTable(responseObject);
            },
            error: function (error) {
              console.assert(error.responseText);
            },
          });
        }

        // load data to table
        function loadDataToTable(paramResponseObject) {
          //Xóa toàn bộ dữ liệu đang có của bảng
          gOrderTable.clear();
          //Cập nhật data cho bảng
          gOrderTable.rows.add(paramResponseObject);
          //Cập nhật lại giao diện hiển thị bảng
          gOrderTable.draw();
        }

        // function load status data vào select
        function loadStatusDataToSelect() {
          for (let bStatus of gStatus) {
            $("#select-status").append(
              $("<option>").val(bStatus.id).text(bStatus.textStatus)
            );
          }
        }

        // function load type pizza data vào select
        function loadTypePizzaDataToSelect() {
          for (let bTypePizza of gTypePizza) {
            $("#select-typePizza").append(
              $("<option>").val(bTypePizza.id).text(bTypePizza.typePizza)
            );
          }
        }

        function getDataFromFilter(paramFilterObj) {
          paramFilterObj.trangThai = $("#select-status").val();
          paramFilterObj.loaiPizza = $("#select-typePizza").val();
        }

        function filterData(paramFilterObj) {
          var vResult = [];
          vResult = gOrder_list.filter((paramUser) => {
            return (
              (paramUser.trangThai == paramFilterObj.trangThai ||
                paramFilterObj.trangThai == 0) &&
              (paramUser.loaiPizza == paramFilterObj.loaiPizza ||
                paramFilterObj.loaiPizza == 0)
            );
          });
          console.log(vResult);
          return vResult;
        }

        //hàm gọi api select drink
        function getDrinkListAjaxClick() {
          "use strict";
          $.ajax({
            url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
            dataType: "json",
            type: "GET",
            success: function (res) {
              handleDrinkList(res);
            },
            error: function (ajaxContent) {
              alert(ajaxContent.responseText);
            },
          });
        }

        //hàm tạo option cho select đồ uống
        function handleDrinkList(paramDrink) {
          "use strict";
          $.each(paramDrink, function (i, item) {
            $("#select-create-loaiDoUong").append(
              $("<option>", {
                text: item.tenNuocUong,
                value: item.maNuocUong,
              })
            );
          });
        }

        //hàm tạo option cho select pizza size
        function getPizzaSizeList(paramPizza) {
          "use strict";
          $.each(paramPizza, function (i, item) {
            $("#select-create-typePizza").append(
              $("<option>", {
                text: item,
                value: item.toLowerCase(),
              })
            );
          });
        }

        //hàm gọi order theo orderCode
        function getAjaxDetailOrder(paramOrderCode) {
          "use strict";
          $.ajax({
            url:
              "http://203.171.20.210:8080/devcamp-pizza365/orders/" +
              paramOrderCode,
            dataType: "json",
            type: "GET",
            success: function (paramOrder) {
              //ghi thông tin order tìm được ra console
              console.log(paramOrder);
              handleOrderDetail(paramOrder);
            },
            error: function (ajaxContent) {
              alert(ajaxContent.responseText);
            },
          });
        }

        //hàm đổ data vào modal
        function handleOrderDetail(paramResponse) {
          "use strict";
          $("#input-create-ordercode").val(paramResponse.orderCode);
          $("#select-create-typePizza").val(paramResponse.kichCo.toLowerCase());
          $("#input-create-duongkinh").val(paramResponse.duongKinh);

          $("#input-create-suon").val(paramResponse.suon);
          $("#input-create-salad").val(paramResponse.salad);
          $("#input-create-pizzatype").val(paramResponse.loaiPizza);
          $("#input-create-idVoucher").val(paramResponse.idVoucher);

          $("#input-create-thanhTien").val(paramResponse.thanhTien);
          $("#input-create-giamGia").val(paramResponse.giamGia);
          $("#select-create-loaiDoUong").val(paramResponse.idLoaiNuocUong);
          $("#input-create-soLuongNuoc").val(paramResponse.soLuongNuoc);

          $("#input-create-hoTen").val(paramResponse.hoTen);
          $("#input-create-email").val(paramResponse.email);
          $("#input-create-phone").val(paramResponse.soDienThoai);
          $("#input-create-diachi").val(paramResponse.diaChi);
          $("#input-create-loinhan").val(paramResponse.loiNhan);

          $("#input-create-ngayOrder").val(paramResponse.ngayTao);
          $("#input-create-ngayEdit").val(paramResponse.ngayCapNhat);
        }

        //hàm confirm thành công
        function handleUpdateOrderSuccess() {
          alert("Confirmed order successfully!");
          getDataFromApi();
          resertDetailOrderForm();
          $("#create-order-modal").modal("hide");
        }

        //hàm cancel thành công
        function handleCancelOrderSuccess() {
          alert("Cancel order successfully!");
          getDataFromApi();
          resertDetailOrderForm();
          $("#create-order-modal").modal("hide");
        }

        // hàm xóa trắng form detail modal
        function resertDetailOrderForm() {
          "use strict";
          $("#input-create-ordercode").val("");
          $("#select-create-typePizza").val("");
          $("#input-create-duongkinh").val("");

          $("#input-create-suon").val("");
          $("#input-create-salad").val("");
          $("#input-create-pizzatype").val("");
          $("#input-create-idVoucher").val("");

          $("#input-create-thanhTien").val("");
          $("#input-create-giamGia").val("");
          $("#select-create-loaiDoUong").val("");
          $("#input-create-soLuongNuoc").val("");

          $("#input-create-hoTen").val("");
          $("#input-create-email").val("");
          $("#input-create-phone").val("");
          $("#input-create-diachi").val("");
          $("#input-create-loinhan").val("");

          $("#input-create-ngayOrder").val("");
          $("#input-create-ngayEdit").val("");
        }
      });
    </script>
  </body>
</html>
